[P004]Original Applicant Search

post
https://connect.patsnap.com/search/patent/company-search-patent/v2
Try in Sandbox

Receive original assignee (applicant) patent data. This includes patent count, patent number, patent ID, etc

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
application
Required
stringApple, Inc.
Standardized Original Assignee (Applicant) name, the search logic is the same as Analytics query [ANS:(Apple, Inc.)], up to 100 companies can be searched; multiple companies are separated by " OR ", e.g. "Apple OR Huawei"
collapse_type
stringALL
Select the collapse type, "ALL" or Null value means no collapse; "APNO" means collapse according to application number; "DOCDB" means collapse according to simple family; "INPADOC" means collapse according to inpadoc family; "EXTEND" means collapse according to patsnap family
collapse_by
stringPBD

Select the sort field for patent collapse,

"APD" means order according to application date;

"PBD" means order according to publication date;

"AUTHORITY" means order according to authority;

"SCORE" means order according to the relevance score

collapse_order
stringLATEST
Select the patent collapse ordering rule that is valid only if collapse_by is APD or PBD, setting OLDEST or LATEST to keep the earliest or latest one
collapse_order_authority
array[ "CN", "US", "EP", "JP", "KR" ]
Sets the order of patent collapse according to the input authorities priority list, valid only if collapse_by is AUTHORITY
sort
Read-only
array[ { "field": "SCORE", "order": "DESC" } ]

Field order, field can support: PBDT_YEARMONTHDAY, APD_YEARMONTHDAY, ISD,SCORE; order can support: desc, asc. The default ranking is the most relevant by Score

PBDT_YEARMONTHDAY: Publication date

APD_YEARMONTHDAY: Application date

ISD: Issue date

Score: relevancy

offset
integer<int32>-
offset value; limit + offset <= 20000 (the max number of Semantic Search is 1000)
limit
integer<int32>10
limit of returned response; must be <= 1,000

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
results
arrayPlease check the form: PatentBaseV2Response
result
pn
stringUS11205304B2
patent number
apdt
integer<int32>20211108
Application Date
apno
stringUS17/521392
Application Number
pbdt
integer<int32>20230815
Publication Date
title
stringTechniques for using multiple symbols to provide feedback for a sidelink transmission
Title
inventor
stringELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH
Inventor
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
current_assignee
stringQUALCOMM INCORPORATED
Current Assignee
original_assignee
stringQUALCOMM INCORPORATED
Original Assignee (Applicant)
result_count
integer<int32>10
Received result count
total_search_result_count
integer<int64>1000
Total search result count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "results": [
      {
        "pn": "US11205304B2",
        "apdt": 20211108,
        "apno": "US17/521392",
        "pbdt": 20230815,
        "title": "Techniques for using multiple symbols to provide feedback for a sidelink transmission",
        "inventor": "ELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH",
        "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
        "current_assignee": "QUALCOMM INCORPORATED",
        "original_assignee": "QUALCOMM INCORPORATED"
      }
    ],
    "result_count": 10,
    "total_search_result_count": 1000
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms